> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/pricing/querydatacenterportprice.md).

# QueryDataCenterPortPrice

## 1. 接口描述

本接口(QueryDataCenterPortPrice)用于数据中心端口询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                          | 必选 | 类型      | 描述                                                                                                                                                                |
| ----------------------------- | -- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| dcId                          | 是  | String  | <p>数据中心ID。</p><p>具体取值可通过调用接口<a href="/api-reference/cn/sdn/location/describedatacenters.md">DescribeDataCenters</a>来获得最新的数据中心列表。</p>                              |
| portType                      | 是  | String  | <p>数据中心端口规格。</p><p>具体取值可通过调用接口<a href="/api-reference/cn/sdn/data-center-port/describedatacenterportprice.md">DescribeDataCenterPortPrice</a>来获得最新的数据中心端口规格表。</p> |
| buildCrossConnectWithAssisted | 否  | Boolean | <p>是否需要Zenlayer协助建设交叉连接。</p><p>如果选择true，则价格将包含交叉连接的跳线费用，以及一次性建设费。</p><p>默认值为false，即用户需要自行建设交叉连接。</p><p>默认值：false</p>                                              |

## 3. 响应结果

| 参数名称                                 | 类型                                                            | 描述                                                             |
| ------------------------------------ | ------------------------------------------------------------- | -------------------------------------------------------------- |
| requestId                            | String                                                        | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>       |
| crossConnectPrice                    | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem) | <p>交叉连接价格。</p><p>如果当前数据中心不支持Zenlayer协助建设交叉连接，则该值为null。</p>     |
| crossConnectOneTimeConstructionPrice | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem) | <p>交叉连接一次性建设费。</p><p>如果当前数据中心不支持Zenlayer协助建设交叉连接，则该值为null。</p> |
| dcId                                 | String                                                        | 数据中心ID。                                                        |
| price                                | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem) | 价格信息。                                                          |
| stock                                | Integer                                                       | 可用库存数量。                                                        |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对数据中心端口进行询价，并且用户自行建设交叉连接。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryDataCenterPortPrice
<Common Request Params>

Request：
{
    "dcId": "SIN1",
    "portType": "10G",
    "buildCrossConnectWithAssisted": false
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY",
            "amountUnit":null
        },
    "stock": 100,
    "crossConnectPrice": null,
    "crossConnectOneTimeConstructionPrice": null,
    "dcId": "SIN1"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                             | 说明          |
| ------- | ------------------------------- | ----------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND | 指定的数据中心不存在。 |
